@echo off
REM Copyright IBM 2003-2004.
REM Specific patch command.
REM 
echo.

SET PATCH_NAME=IY52487

IF "%1"=="UNINSTALL" GOTO CONTINUE
IF "%1" NEQ "" GOTO USAGE

REM **** playback.dll/ielistener.dll prereqs ****
:PREREQUISITES

:CONTINUE
echo Applying patch %PATCH_NAME%
@call stopSTI.cmd

REM Note that the following call will pass the UNINSTALL parameter as argument.
@call applyPatch.cmd playback.dll %PATCH_NAME% %1
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR

@call regcomsvr.cmd IEListener.dll UNREGISTER
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR

@call applyPatch.cmd IEListener.dll %PATCH_NAME% %1
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR

@call regcomsvr.cmd IEListener.dll REGISTER
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR

@call startSTI.cmd
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
GOTO FIN

:USAGE
echo.
echo Usage: IY52487 [UNINSTALL]
GOTO FIN

:SCRIPTERROR
echo Failed to apply the patch due to an script detected error. LOCALERRORLEVEL=%LOCALERRORLEVEL%
GOTO FIN

:SYSTEMERROR
echo Failed to apply the patch due to a system error. ERRORLEVEL=%ERRORLEVEL%
GOTO FIN

:FIN
